Subject: Re: [rtcweb] Review of draft-ietf-rtcweb-fec-06

From: Justin Uberti <[email-masked]>
Date: Sun, 27 Aug 2017 13:25:03 -0700

PTAL at https://github.com/juberti/draughts/pull/89

On Fri, Jul 21, 2017 at 12:51 AM, Magnus Westerlund <
[email-masked]> wrote:

>
>
> Den 2017-07-20 kl. 08:25, skrev Justin Uberti:
>
> Thanks for your comments. Regarding #2, the document currently says the
> following:
>
>    Since use of FEC always causes redundant data to be transmitted, this
>    will lead to less bandwidth available for the primary encoding when
>    in a bandwidth-constrained environment.
>
> Do you think this is insufficient?
>
>
> Yes, I think it should be more explicit that primary + repair need to be
> within the bandwidth limits set by congestion control, etc.
>
> /Magnus
>
>
> On Sun, Jul 16, 2017 at 2:40 AM, Magnus Westerlund <
> [email-masked]> wrote:
>
>> Hi,
>>
>> I was reviewing -06 to ensure that all issues are resolved. I did notice
>> the following issues.
>>
>>
>> 1. Section 4.2, makes a normative refernces to TS.26114, which is listed
>> as informative refences in the reference list. Please move it to the
>> normative part.
>>
>> 2. Section 8. I am missing the statement that primary encoding + FEC
>> needs to keep within the available bandwidth as determined by the
>> congestion control or other bitrate adaptation mechnisms. Thus, likely
>> resulting in that the primary encoding bitrate needs to be reduced to fit
>> the FEC.
>>
>> Otherwise the document looks good.
>>
>> Cheers
>>
>> Magnus Westerlund
>>
>> ----------------------------------------------------------------------
>> Media Technologies, Ericsson Research
>> ----------------------------------------------------------------------
>> Ericsson AB                 | Phone  +46 10 7148287
>> Torshamnsgatan 23           | Mobile +46 73 0949079
>> SE-164 80 Stockholm, Sweden | mailto: [email-masked]
>> ----------------------------------------------------------------------
>>
>>
>>
>
> --
>
> Magnus Westerlund
>
> ----------------------------------------------------------------------
> Media Technologies, Ericsson Research
> ----------------------------------------------------------------------
> Ericsson AB                 | Phone  +46 10 7148287 <+46%2010%20714%2082%2087>
> Torshamnsgatan 23           | Mobile +46 73 0949079 <+46%2073%20094%2090%2079>
> SE-164 80 Stockholm, Sweden | mailto: [email-masked]
> ----------------------------------------------------------------------
>
>